Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1417315 - [SUPPORTABILITY] Remove in-memory inventory from reference architectures
Summary: [SUPPORTABILITY] Remove in-memory inventory from reference architectures
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Reference Architecture
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: ---
Assignee: scollier
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-27 23:22 UTC by Steven Walter
Modified: 2020-03-11 15:40 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-25 19:24:30 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Steven Walter 2017-01-27 23:22:46 UTC
Description of problem:
CEE *cannot* support reference architectures if ansible hosts file is not saved on disk for maintenance activities to be run post install

Version-Release number of selected component (if applicable):
3.3.0+



Additional info:
Currently, hosts files are saved in-memory. However, when the hosts file is required for maintenance -- scaleup, certificate redeploy, and other playbooks, this is not possible or at least not documented. If an issue arises that requires running playbooks, there is *no* documented way to do so.

Comment 2 Ryan Cook 2017-02-02 18:04:31 UTC
PR is in place
https://github.com/openshift/openshift-ansible-contrib/pull/252

Comment 3 Ryan Cook 2017-02-03 18:16:20 UTC
PR has been merged and the directions to generate the static inventory are defined in the Reference Architecture document and on github https://github.com/openshift/openshift-ansible-contrib/tree/master/reference-architecture/gce-ansible#creating-a-static-inventory

Comment 5 Ryan Cook 2017-03-26 15:55:58 UTC
I feel like this should be closed as GCE and AWS both now have the ability to generate static inventory files.

@scollier do you have the ability to change status on this?

Comment 6 Ryan Cook 2017-03-26 15:56:09 UTC
I feel like this should be closed as GCE and AWS both now have the ability to generate static inventory files.

@scollier do you have the ability to change status on this?

Comment 8 scollier 2018-05-25 19:24:30 UTC
Talked to Ryan and this one has been fixed.


Note You need to log in before you can comment on or make changes to this bug.